Subject: bug#56482: 29.0.50; shr displays <![if !supportLists]>...<![endif]> literally instead of dropping the tags

From: Visuwesh <[email-masked]>
Date: Mon, 11 Jul 2022 16:39:36 +0530

[திங்கள் ஜூலை 11, 2022] Lars Ingebrigtsen wrote:

> Visuwesh <[email-masked]> writes:
>> I don't have an example email but this site
>> http://www.ambedkar.org/ambcd/01.Caste%20in%20India.htm produces
>> something similar except it is for annotations.
>
> I didn't see any <![ things in that page when visiting it with eww?

Could it be related to libxml version after all because I see it here
(it is in the beg and the end of the buffer).

    % apt show libxml2
    Package: libxml2
    Version: 2.9.14+dfsg-1
    Priority: optional
    Section: libs
    Maintainer: Debian XML/SGML Group <[email-masked]>
    Installed-Size: 1,937 kB
    Depends: libc6 (>= 2.33), libicu71 (>= 71.1-1~), liblzma5 (>= 5.1.1alpha+20120614), zlib1g (>= 1:1.2.3.3)
    Conflicts: w3c-dtd-xhtml
    Homepage: http://xmlsoft.org
    Tag: role::shared-lib
    Download-Size: 708 kB
    APT-Manual-Installed: no
    APT-Sources: http://deb.debian.org/debian testing/main amd64 Packages

Attached screenshot is from the end of the eww buffer,